import request from '@/utils/request'

// 查询直播红包 记录列表
export function listLiveRedPacketLog(query) {
  return request({
    url: '/live/liveRedPacketLog/list',
    method: 'get',
    params: query
  })
}

// 查询直播红包 记录详细
export function getLiveRedPacketLog(logId) {
  return request({
    url: '/live/liveRedPacketLog/' + logId,
    method: 'get'
  })
}

// 新增直播红包 记录
export function addLiveRedPacketLog(data) {
  return request({
    url: '/live/liveRedPacketLog',
    method: 'post',
    data: data
  })
}

// 修改直播红包 记录
export function updateLiveRedPacketLog(data) {
  return request({
    url: '/live/liveRedPacketLog',
    method: 'put',
    data: data
  })
}

// 删除直播红包 记录
export function delLiveRedPacketLog(logId) {
  return request({
    url: '/live/liveRedPacketLog/' + logId,
    method: 'delete'
  })
}

// 导出直播红包 记录
export function exportLiveRedPacketLog(query) {
  return request({
    url: '/live/liveRedPacketLog/export',
    method: 'get',
    params: query
  })
}
